org.eclipse.eef

## Interface EEFWidgetStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  EEFButtonStyle, EEFCheckboxStyle, EEFCustomWidgetStyle, EEFHyperlinkStyle, EEFLabelStyle, EEFListStyle, EEFRadioStyle, EEFSelectStyle, EEFTextStyle

All Known Implementing Classes:
  EEFButtonStyleImpl, EEFCheckboxStyleImpl, EEFCustomWidgetStyleImpl, EEFHyperlinkStyleImpl, EEFLabelStyleImpl, EEFListStyleImpl, EEFRadioStyleImpl, EEFSelectStyleImpl, EEFTextStyleImpl, EEFWidgetStyleImpl

    public interface EEFWidgetStyle
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Widget Style'. Represents a style that can be applied on widgets.

The following features are supported:

- `Label Background Color Expression`
- `Label Foreground Color Expression`
- `Label Font Name Expression`
- `Label Font Size Expression`
- `Label Font Style Expression`

See Also:
  `EefPackage.getEEFWidgetStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getLabelBackgroundColorExpression()` Returns the value of the 'Label Background Color Expression' attribute.
`java.lang.String` `getLabelFontNameExpression()` Returns the value of the 'Label Font Name Expression' attribute.
`java.lang.String` `getLabelFontSizeExpression()` Returns the value of the 'Label Font Size Expression' attribute.
`java.lang.String` `getLabelFontStyleExpression()` Returns the value of the 'Label Font Style Expression' attribute.
`java.lang.String` `getLabelForegroundColorExpression()` Returns the value of the 'Label Foreground Color Expression' attribute.
`void` `setLabelBackgroundColorExpression(java.lang.String value)` Sets the value of the '`Label Background Color Expression`' attribute.
`void` `setLabelFontNameExpression(java.lang.String value)` Sets the value of the '`Label Font Name Expression`' attribute.
`void` `setLabelFontSizeExpression(java.lang.String value)` Sets the value of the '`Label Font Size Expression`' attribute.
`void` `setLabelFontStyleExpression(java.lang.String value)` Sets the value of the '`Label Font Style Expression`' attribute.
`void` `setLabelForegroundColorExpression(java.lang.String value)` Sets the value of the '`Label Foreground Color Expression`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getLabelBackgroundColorExpression

    java.lang.String getLabelBackgroundColorExpression()

Returns the value of the 'Label Background Color Expression' attribute. Defines the background color of the widget. It must be defined as hex (#000000) or RGB (rgb(0,0,0)).

Returns:
  the value of the 'Label Background Color Expression' attribute.
See Also:
  `setLabelBackgroundColorExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelBackgroundColorExpression()`

#### setLabelBackgroundColorExpression

    void setLabelBackgroundColorExpression(java.lang.String value)

Sets the value of the '`Label Background Color Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Background Color Expression' attribute.
See Also:
  `getLabelBackgroundColorExpression()`

#### getLabelForegroundColorExpression

    java.lang.String getLabelForegroundColorExpression()

Returns the value of the 'Label Foreground Color Expression' attribute. Defines the foreground color of the widget. It must be defined as hex (#000000) or RGB (rgb(0,0,0)).

Returns:
  the value of the 'Label Foreground Color Expression' attribute.
See Also:
  `setLabelForegroundColorExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelForegroundColorExpression()`

#### setLabelForegroundColorExpression

    void setLabelForegroundColorExpression(java.lang.String value)

Sets the value of the '`Label Foreground Color Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Foreground Color Expression' attribute.
See Also:
  `getLabelForegroundColorExpression()`

#### getLabelFontNameExpression

    java.lang.String getLabelFontNameExpression()

Returns the value of the 'Label Font Name Expression' attribute. Defines the font's name of the widget.

Returns:
  the value of the 'Label Font Name Expression' attribute.
See Also:
  `setLabelFontNameExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelFontNameExpression()`

#### setLabelFontNameExpression

    void setLabelFontNameExpression(java.lang.String value)

Sets the value of the '`Label Font Name Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Font Name Expression' attribute.
See Also:
  `getLabelFontNameExpression()`

#### getLabelFontSizeExpression

    java.lang.String getLabelFontSizeExpression()

Returns the value of the 'Label Font Size Expression' attribute. Defines the font's size of the widget.

Returns:
  the value of the 'Label Font Size Expression' attribute.
See Also:
  `setLabelFontSizeExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelFontSizeExpression()`

#### setLabelFontSizeExpression

    void setLabelFontSizeExpression(java.lang.String value)

Sets the value of the '`Label Font Size Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Font Size Expression' attribute.
See Also:
  `getLabelFontSizeExpression()`

#### getLabelFontStyleExpression

    java.lang.String getLabelFontStyleExpression()

Returns the value of the 'Label Font Style Expression' attribute. Defines the font's style of the widget.

Returns:
  the value of the 'Label Font Style Expression' attribute.
See Also:
  `setLabelFontStyleExpression(String)`, `EefPackage.getEEFWidgetStyle_LabelFontStyleExpression()`

#### setLabelFontStyleExpression

    void setLabelFontStyleExpression(java.lang.String value)

Sets the value of the '`Label Font Style Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Font Style Expression' attribute.
See Also:
  `getLabelFontStyleExpression()`